package dao

import (
	"time"
)

type PublishLibraries struct {
	Id               uint      `gorm:"column:id;type:int(10) unsigned;primary_key;AUTO_INCREMENT;" json:"id"` // 编号
	Name             string    `gorm:"column:name;type:varchar(64)" json:"name"`                              // 名称
	Resolution       int       `gorm:"column:resolution;type:int(11)" json:"resolution"`                      // 分辨率
	Duration         int64     `gorm:"column:duration;type:bigint(20);default:0" json:"duration"`             // 统计文件时长
	FileSize         int64     `gorm:"column:file_size;type:bigint(20);default:0" json:"file_size"`           // 统计文件大小
	InfoId           string    `gorm:"column:info_id;type:varchar(4000)" json:"info_id"`                      // 信息屏ID 组合
	ImgDuration      int       `gorm:"column:img_duration;type:int(11);default:0" json:"img_duration"`        // 图片播放时长(毫秒)
	StartTime        time.Time `gorm:"column:start_time;type:date" json:"start_time"`                         // 播放开始时间
	EndTime          time.Time `gorm:"column:end_time;type:date" json:"end_time"`                             // 播放结束时间
	NotificationType string    `gorm:"column:notification_type;type:varchar(60)" json:"notification_type"`    // 通知类型 组合1短信2邮件3电话4微信
	CreateTime       time.Time `gorm:"column:create_time;type:datetime" json:"create_time"`                   // 新增时间
	CreateUser       string    `gorm:"column:create_user;type:varchar(60)" json:"create_user"`                // 新增记录操作用户ID
	CreateName       string    `gorm:"column:create_name;type:varchar(64)" json:"create_name"`                // 新增用户姓名
	UpdateTime       time.Time `gorm:"column:update_time;type:datetime" json:"update_time"`                   // 修改时间
	UpdateUser       string    `gorm:"column:update_user;type:varchar(60)" json:"update_user"`                // 修改用户
	IsDeleted        int       `gorm:"column:is_deleted;type:int(11);default:0" json:"is_deleted"`            // 是否删除 0=未删除,1=删除
	Status           int       `gorm:"column:status;type:int(11)" json:"status"`                              // 状态 0审核1播放2暂停3取消4过期5审核不通过
	TenantId         int       `gorm:"column:tenant_id;type:int(11)" json:"tenant_id"`                        // 租户ID
	Remarks          string    `gorm:"column:remarks;type:varchar(4000)" json:"remarks"`                      // 备注
	SysType          int       `gorm:"column:sys_type;type:int(11);default:0" json:"sys_type"`                // 系统类型：0-多媒体系统，1-广播系统
	KsTime           time.Time `gorm:"column:ks_time;type:bigint(20)" json:"ks_time"`                         // 播放开始时间
	JsTime           time.Time `gorm:"column:js_time;type:bigint(20)" json:"js_time"`                         // 播放结束时间
	FileId           int       `gorm:"column:file_id;type:int(11)" json:"file_id"`                            // 文件ID，系统类型为广播系统时使用
	TaskId           int       `gorm:"column:task_id;type:int(11)" json:"task_id"`                            // 任务ID，发布后才有用于控制启动与停止
	PlayTime         int       `gorm:"column:play_time;type:int(11);default:1" json:"play_time"`              // 播放次数（1-100）
	PlayInterval     int       `gorm:"column:play_interval;type:int(11);default:0" json:"play_interval"`      // 播放间隔(0-360秒)
}

func (PublishLibraries) TableName() string {
	return "media_publish_libraries"
}

func (c *PublishLibraries) GetList(offset int, limit int) ([]PublishLibraries, error) {
	var list []PublishLibraries
	err := Db.Debug().Model(&c).Where("tenant_id = ? and is_deleted = 0", c.TenantId).Find(&list).Error
	return list, err
}
